# Get potential savings summary by provider

> Returns potential savings summary grouped by provider

Source: https://docs.levelfour.ai/api-reference/recommendations/get-recommendations-potential-savings-summary


## GET /api/v1/recommendations/potential-savings/summary

Returns potential savings summary grouped by provider

### Authentication

Send `Authorization: Bearer <token>`.

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required): Summary data for all providers
  - `providers` (array of object, required)
    - `provider_id` (string, required): Provider identifier: aws, gcp, azure, k8s
    - `provider_name` (string, required): Display name: AWS, GCP, etc.
    - `monthly_spending` (number, required): Current monthly spending for this provider
    - `potential_savings` (number, required): Total potential monthly savings
    - `potential_savings_percentage` (number, required): Savings as percentage of spending

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
